
@echo off
cls

REM palette
REM        +0   +1   +2 ..   +C   +D   +E   +F
REM 0x00:R_00 G_00 B_00 .. R_04 G_04 B_04 R_05
REM |
REM 0xB0:B_3A R_3B G_3B .. B_3E R_3F G_3F B_3F
REM [EOB]
if exist add/hvca.pal set ADD_FILES=%ADD_FILES% add/hvca.pal

REM 8KByte DISKSYSTEM BIOS
if exist add/disksys.rom set ADD_FILES=%ADD_FILES% add/disksys.rom

if exist add/*.fds set ADD_FILES=%ADD_FILES% add/*.fds
if exist add/*.nes set ADD_FILES=%ADD_FILES% add/*.nes
if exist add/*.nsf set ADD_FILES=%ADD_FILES% add/*.nsf
if exist add/*.cfg set ADD_FILES=%ADD_FILES% add/*.cfg

set HVCA_ARGV=hvcamkfs -b bin/base.bin bin/font*.raw bin/mapr/*.bin

echo.
echo * Select CART driver for HARD-RESET
echo.
echo   1 : FA, F2A(256)
echo   2 : EZ1, XG1
echo   3 : EZFA
echo   4 : Ignore
echo.

if '%comspec%' == '' goto exit
if '%comspec%' == '%systemroot%\system32\cmd.exe' goto WinNT

:Win9x
choice /C:1234
if errorlevel 4 goto merge
if errorlevel 3 goto ezfa
if errorlevel 2 goto ez1
if errorlevel 1 goto fa
goto exit

:WinNT
set /p choice=
if '%choice%' == '4' goto merge
if '%choice%' == '3' goto ezfa
if '%choice%' == '2' goto ez1
if '%choice%' == '1' goto fa
goto exit

:fa
set HVCA_ARGV=%HVCA_ARGV% bin/flash_fa.sub
goto merge

:ez1
set HVCA_ARGV=%HVCA_ARGV% bin/flash_ez1.sub
goto merge

:ezfa
set HVCA_ARGV=%HVCA_ARGV% bin/flash_ezfa.sub
goto merge

:merge
%HVCA_ARGV% %ADD_FILES%

:exit
set HVCA_ARGV=
set ADD_FILES=
pause
